package org.jk.system.domain;

import cn.idev.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.jk.common.mybatis.core.domain.BaseEntity;

import java.util.Date;

/**
 * 【请填写功能名称】对象 sys_project_staff
 *
 * @author takai
 * @date 2025-05-28
 */
public class SysProjectStaff extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 项目编号 */
    @ExcelProperty(value = "项目编号")
    private String projectPid;

    /** 成员编号 */
    @ExcelProperty(value = "成员编号")
    private String mNo;

    /** 角色 */
    @ExcelProperty(value = "角色")
    private long roleId;

    /** 进入项目日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "进入项目日期")
    private Date mBdate;

    /** 撤出项目日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty(value = "撤出项目日期")
    private Date mEdate;

    private String projectName;

    private String userId;

    private String userName;

    private String roleName;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }

    public String getProjectPid() {
        return projectPid;
    }

    public void setProjectPid(String projectPid) {
        this.projectPid = projectPid;
    }

    public void setmNo(String mNo)
    {
        this.mNo = mNo;
    }

    public String getmNo()
    {
        return mNo;
    }

    public long getRoleId() {
        return roleId;
    }

    public void setRoleId(long roleId) {
        this.roleId = roleId;
    }

    public void setmBdate(Date mBdate)
    {
        this.mBdate = mBdate;
    }

    public Date getmBdate()
    {
        return mBdate;
    }
    public void setmEdate(Date mEdate)
    {
        this.mEdate = mEdate;
    }

    public Date getmEdate()
    {
        return mEdate;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectPid", getProjectPid())
            .append("mNo", getmNo())
            .append("role", getRoleId())
            .append("mBdate", getmBdate())
            .append("mEdate", getmEdate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("projectName", getProjectName())
            .append("userId", getUserId())
            .append("userName", getUserName())
            .toString();
    }
}
